const fs = require('fs');
const path = require('path');

// Define source and target directories
const sourceDir = path.join(__dirname, 'public', 'pdfjs');
const targetDir = path.join(process.cwd(), 'public', 'pdfjs');

// Function to copy the pdfjs folder
function copyFolderRecursiveSync(source, target) {
  if (!fs.existsSync(target)) {
    fs.mkdirSync(target, { recursive: true });
  }

  fs.readdirSync(source).forEach((file) => {
    const currentSource = path.join(source, file);
    const currentTarget = path.join(target, file);

    if (fs.lstatSync(currentSource).isDirectory()) {
      copyFolderRecursiveSync(currentSource, currentTarget);
    } else {
      fs.copyFileSync(currentSource, currentTarget);
    }
  });
}

// Copy pdfjs folder
copyFolderRecursiveSync(sourceDir, targetDir);

console.log('pdfjs folder copied to public directory.');
